Bug 187690 - [NEW PORT] devel/py-logan: Logan is a toolkit for running standalone Django applications
Summary: [NEW PORT] devel/py-logan: Logan is a toolkit for running standalone Django a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-18 06:50 UTC by Johannes Meixner
Modified: 2014-03-19 01:00 UTC (History)
0 users

See Also:


Attachments
.shar (2.89 KB, text/plain)
2014-03-18 06:50 UTC, Johannes Meixner
no flags Details
py27-logan-0.5.10.shar (3.91 KB, text/plain; charset=utf-8)
2014-03-18 09:36 UTC, Johannes Meixner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-03-18 06:50:00 UTC
Logan is a toolkit for running standalone Django applications. It provides you
with tools to create a CLI runner, manage settings, and the ability to bootstrap
the process.

WWW: https://github.com/dcramer/logan

portlint: looks fine.
port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140318063318-43342/

Generated with FreeBSD Port Tools 1.00.2014.03.16 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-18 06:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Johannes Meixner 2014-03-18 09:36:28 UTC
Description:
- Correct RUN_/TEST_DEPENDS.
  Django is used both as run and test dependency, while mock is only used for
  testing.

portlint: looks fine.
port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140318080701-39210/

Generated with FreeBSD Port Tools 1.00.2014.03.12 (mode: new)
Comment 3 Steve Wills freebsd_committer 2014-03-19 00:54:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-19 00:55:37 UTC
Author: swills
Date: Wed Mar 19 00:55:31 2014
New Revision: 348602
URL: http://svnweb.freebsd.org/changeset/ports/348602
QAT: https://qat.redports.org/buildarchive/r348602/

Log:
  Logan is a toolkit for running standalone Django applications. It provides you
  with tools to create a CLI runner, manage settings, and the ability to bootstrap
  the process.
  
  WWW: https://github.com/dcramer/logan
  
  PR:		ports/187690
  Submitted by:	Johannes Meixner <xmj@chaot.net>

Added:
  head/devel/py-logan/
  head/devel/py-logan/Makefile   (contents, props changed)
  head/devel/py-logan/distinfo   (contents, props changed)
  head/devel/py-logan/files/
  head/devel/py-logan/files/patch-setup.py   (contents, props changed)
  head/devel/py-logan/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Mar 18 22:19:01 2014	(r348601)
+++ head/devel/Makefile	Wed Mar 19 00:55:31 2014	(r348602)
@@ -3678,6 +3678,7 @@
     SUBDIR += py-lock_file
     SUBDIR += py-lockfile
     SUBDIR += py-log4py
+    SUBDIR += py-logan
     SUBDIR += py-logilab-common
     SUBDIR += py-lxml
     SUBDIR += py-magic

Added: head/devel/py-logan/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-logan/Makefile	Wed Mar 19 00:55:31 2014	(r348602)
@@ -0,0 +1,39 @@
+# Created by: Johannes Meixner <xmj@chaot.net>
+# $FreeBSD$
+
+PORTNAME=	logan
+PORTVERSION=	0.5.10
+CATEGORIES=	devel python
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	xmj@chaot.net
+COMMENT=	Logan is a toolkit for running standalone Django applications
+
+LICENSE=	APACHE20
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django>0:${PORTSDIR}/www/py-django
+TEST_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django>0:${PORTSDIR}/www/py-django \
+		${PYTHON_PKGNAMEPREFIX}mock>0:${PORTSDIR}/devel/py-mock \
+		${PYTHON_PKGNAMEPREFIX}nose>=1.1.2:${PORTSDIR}/devel/py-nose \
+		${PYTHON_PKGNAMEPREFIX}unittest2:${PORTSDIR}/devel/py-unittest2
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+PORTDOCS=	README.rst
+
+DOCSDIR=	${PREFIX}/share/doc/${PYTHON_PKGNAMEPREFIX}${PORTNAME}
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	dcramer
+GH_COMMIT=	7bf71b5
+GH_TAGNAME=	0.5.10
+
+post-install:
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README.rst ${STAGEDIR}${DOCSDIR}/README.rst
+
+check test: build
+	cd ${WRKSRC} && ${PYTHON_CMD} ${PYSETUP} test
+
+.include <bsd.port.mk>

Added: head/devel/py-logan/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-logan/distinfo	Wed Mar 19 00:55:31 2014	(r348602)
@@ -0,0 +1,2 @@
+SHA256 (logan-0.5.10.tar.gz) = 0e8abffbec5595545c962e0be2b68a1479345a33083a692e7977929e7ef6b8e4
+SIZE (logan-0.5.10.tar.gz) = 10269

Added: head/devel/py-logan/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-logan/files/patch-setup.py	Wed Mar 19 00:55:31 2014	(r348602)
@@ -0,0 +1,16 @@
+--- ./setup.py.orig	2014-03-17 18:14:19.000000000 +0200
++++ ./setup.py	2014-03-17 18:14:54.000000000 +0200
+@@ -23,13 +23,6 @@
+     long_description=__doc__,
+     zip_safe=False,
+     install_requires=[],
+-    tests_require=[
+-        'django>=1',
+-        'mock>=0.8.0',
+-        'nose>=1.1.2',
+-        'unittest2',
+-    ],
+-    test_suite='unittest2.collector',
+     license='Apache License 2.0',
+     include_package_data=True,
+     classifiers=[

Added: head/devel/py-logan/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-logan/pkg-descr	Wed Mar 19 00:55:31 2014	(r348602)
@@ -0,0 +1,5 @@
+Logan is a toolkit for running standalone Django applications. It provides you
+with tools to create a CLI runner, manage settings, and the ability to bootstrap
+the process.
+
+WWW: https://github.com/dcramer/logan
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"